<?xml version="1.0" encoding="UTF-8"?>
<!--
 - Desc:    This file is part of the eCromedos document preparation system
 - Date:    2006/03/09
 - Author:  Tobias Koch (tkoch@ecromedos.net)
 - License: GNU General Public License, version 2
 - URL:     http://www.ecromedos.net
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="global.i18n" select="document('i18n.xml')"/>

<!--
  - Keep document language in global variable,
  - so we don't have to look this up each time.
-->
<xsl:variable name="global.lang">
	<xsl:choose>
		<xsl:when test="/*[1]/@lang">
			<xsl:value-of select="normalize-space(/*[1]/@lang)"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>german</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<!--
  - Print an automatic caption in document's language.
-->
<xsl:template name="i18n.print">

	<xsl:param name="key"/>
	<xsl:param name="number" select="''"/>

	<!-- get template -->
	<xsl:variable name="string" select="$global.i18n/i18n/language[@name = $global.lang]/translation[@key = $key]"/>

	<!-- print translation -->
	<xsl:choose>
		<xsl:when test="contains($string, '%n')">
			<xsl:value-of select="substring-before($string, '%n')"/>
			<xsl:value-of select="$number"/>
			<xsl:value-of select="substring-after($string, '%n')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$string"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
