<?xml version="1.0" encoding="UTF-8"?>
<!--
 - Desc:    This file is part of the eCromedos document preparation system
 - Date:    2006/03/09
 - Author:  Tobias Koch (tkoch@ecromedos.net)
 - License: GNU General Public License, version 2
 - URL:     http://www.ecromedos.net
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- bullet list -->
<xsl:template match="ul">
	<xsl:text>\begin{itemize}&#x0a;</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>\end{itemize}&#x0a;</xsl:text>
	<xsl:call-template name="footnotetext"/>
	<xsl:text>&#x0a;&#x0a;</xsl:text>
</xsl:template>

<!-- enumerated list -->
<xsl:template match="ol">
	<xsl:text>\begin{enumerate}&#x0a;</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>\end{enumerate}&#x0a;</xsl:text>
	<xsl:call-template name="footnotetext"/>
	<xsl:text>&#x0a;&#x0a;</xsl:text>
</xsl:template>

<!-- list item in bullet/enumerated list -->
<xsl:template match="li">
	<xsl:text>\item{</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>}&#x0a;</xsl:text>
</xsl:template>

<!-- glossary list -->
<xsl:template match="dl">
	<xsl:text>\begin{description}&#x0a;</xsl:text>
	<xsl:apply-templates select="dt|dd"/>
	<xsl:text>\end{description}&#x0a;</xsl:text>
	<xsl:call-template name="footnotetext"/>
	<xsl:text>&#x0a;&#x0a;</xsl:text>
</xsl:template>

<!-- item in glossary list... -->
<xsl:template match="dt">
	<xsl:text>\item[</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>]</xsl:text>
</xsl:template>

<!-- ...and its definition -->
<xsl:template match="dd">
	<xsl:text>{</xsl:text>
	<xsl:apply-templates/>
	<xsl:text>}&#x0a;</xsl:text>
</xsl:template>

</xsl:stylesheet>
